package com.baoshi.swms.sqlite;

import android.database.Cursor;

import java.util.List;

/**
 * 数据库接口
 *
 * @author Zhendong Zhou
 * @date 2021/12/27 13:36
 */
public interface ISQLiteOperate {
    boolean execSQL(String sql);

    boolean execSQLList(List<String> sqlList);

    boolean execSQLs(List<String[]> sqlList);

    boolean execSQLIgnoreError(List<String> sqlList);

    Cursor query(String sql);

    Cursor query(String sql, String[] params);

    void close();

    void closeWhileError();
}
